13

Sometimes I receive PDF files that open with Preview (Version 7.0 (826.4), Mavericks) with the following message:

To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade to the latest version of Adobe Reader from www.adobe.com/products/acrobat/readstep2.html For further support, go to www.adobe.com/support/products/acrreader.html

or sometimes the message is same same but different:

Please wait... If this message is not eventually replaced by the proper contents of the document, your PDF viewer may not be able to display this type of document.

You can upgrade to the latest version of Adobe Reader for Windows®, Mac, or Linux® by visiting http://www.adobe.com/go/reader_download.

For more assistance with Adobe Reader visit http://www.adobe.com/go/acrreader.

Windows is either a registered trademark or a trademark of Microsoft Corporation in the United States and/or other countries. Mac is a trademark of Apple Inc., registered in the United States and other countries. Linux is the registered trademark of Linus Torvalds in the U.S. and other countries.

Here you can find a real life example PDF (Thanks to @Tetsujin), Canadian immigration application

I dislike Abobe's bloatware so much that I will not install their Acrobat Reader on my Mac. Ever.

When I use a Windows machine and open this PDF with Acrobat Reader there it contains a form with dropdowns and input fields.

Is there a way to open this pdf in OS X? I would prefer the Preview.app.

Screenshots:

you need pdf viewer

please wait pdf

  • Preview Version 7.0 (826.4), the latest in Mavericks. – CousinCocaine Oct 16 '14 at 8:52
  • Confirmed - I found an example so others might be able to test cic.gc.ca/english/pdf/kits/forms/IMM0008ENU_2D.pdf [nothing secret, nothing dangerous, it's a Canadian immigration application]. Preview fails, Adobe Reader works. – Tetsujin Oct 16 '14 at 9:00
  • 1
    In my experience it is not realistic to think Preview can always substitute for Adobe Reader, there lots of occasions when only the latter works. – Tom Gewecke Feb 4 '15 at 20:53
12

Certain PDF files (dynamic XFA forms) created in Adobe LiveCycle can only be opened in Adobe Reader and Adobe Acrobat. When you try to open these files in an alternative PDF viewer, then you will see this error message.

Unfortunately, it's not easy remove this message and modify the PDF so that it can be opened in alternative PDF viewers. The person who created the original form must re-create the form using options that do not restrict which PDF viewers can open and display the file.

Adobe has made the decision that since very few non-Adobe products support these special PDF files, that it is better to show this message -- and require the user to download Adobe Reader or Adobe Acrobat -- than it is to let the PDF viewer try to render the document.

Source : http://www.quickpdflibrary.com/faq/if-this-message-is-not-eventually-replaced-by-the-proper-contents-of-the-document.php

...so the answer to your question is no, Preview can't do it. It's Adobe Reader or nothing

0

There is a way to do it in Terminal. In Adobe Acrobat, save file as a Postscript file. I generally save it to my desktop. Then, open Terminal and browse to desktop by typing cd ~/Desktop. Then, enter the command

pstopdf filename.ps

On the desktop, there should be a new PDF file. It can now be opened by Preview.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .